Subject: Re: 1.7.7: Mercurial 1.5.4 and Python 2.6.5 conflicts?
From: Alex Royo <[email-masked]>
To: Marco Atzeri <[email-masked]>
Cc: [email-masked]
Date: Thu, 28 Oct 2010 15:02:19 +0200
List-Id: <cygwin.cygwin.com>

Hi Gio,

> Could you follow the http://www.cygwin.com/problems.html guidelines?

All right, I know very little English and I read a lot of information
leaks. Sorry.

> $ cygcheck -c cygwin mercurial python
> Cygwin Package Information
> Package            Version       Status
> cygwin               1.7.7-1        OK
> mercurial            1.5.4-1        OK
> python               2.6.5-2        OK

I get the same result on my Cygwin installation.

> No such problem. Mercurial is working fine.

I will continue to investigate what is the problem, so you comment
understand that it is a problem of my installation

Thanks and sorry for the inconvenience.

Regards,
Alex

2010/10/28 Marco Atzeri <[email-masked]>:
> --- Gio 28/10/10, Alex Royo  ha scritto:
>
>> Hello list,
>
> Hi,
> the best place to discuss this problem is the "cygwin",
> mailing list.
> "cygwin-apps" is mainly for discussion between package
> maintainers.
>
>>
>> I updated Cygwin version 1.7.7, Python version 2.6.5 and
>> Mercurial
>> version 1.5.4 (the latest versions packaged).
>
> same here
>
> $ cygcheck -c cygwin mercurial python
> Cygwin Package Information
> Package              Version        Status
> cygwin               1.7.7-1        OK
> mercurial            1.5.4-1        OK
> python               2.6.5-2        OK
>
>>
>> When you run the commands of Hg (Mercurial) that displays
>> the following message:
>>
>> -----------------------------------
>> /usr/lib/python2.6/site-package/mercurial/demandimport.py:85:
>> DeprecationWarning: the sha module is deprecated, us the
>> hashlib
>> module instead return _origimport(name, globals, locals,
>> fromlist)
>> abort: No module named _md5!
>> -----------------------------------
>
> No such problem. Mercurial is working fine
>
>>
>> I guess it is packaged for the Cygwin versions of Mercurial
>> that
>> conflicts with the packaged versions of Python.
>>
>> Maybe with a newer version of Mercurial correct the
>> problem? Is
>> posible add a newer version of Mercurial?
>>
>> Thanks and sorry for my English –that is possible through
>> online translators–
>>
>>
>> Greetings,
>> Alex Royo
>
> Could you follow the
> http://www.cygwin.com/problems.html
>
> guidelines ?
>
> Regards
> Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple